﻿Updated: August 31, 2020

README for the Isilon Ambari Management Pack 1.0.3.0 for OneFS

*******************************************************************************

The Isilon Ambari Management Pack for OneFS is a software component that can be
installed in Ambari to define OneFS as a service in a Hadoop cluster. The
management pack allows an Ambari administrator to start, stop, and configure
OneFS as a HDFS storage service. This provides native namenode and datanode
capabilities similar to traditional HDFS. The management pack is OneFS
release-independent and can be updated between releases if needed.

*******************************************************************************

PREREQUISITES

This management pack is compatible with the following OneFS versions:
OneFS 8.1.2
OneFS 8.2.0
OneFS 8.2.1
OneFS 8.2.2
OneFS 9.0.0

*******************************************************************************

#### Usage Notes
Run the installation command following below steps :
```
ambari-server install-mpack --mpack=isilon-onefs-mpack-1.0.3.0.tar.gz --verbose

cd /var/lib/ambari-server/resources/stacks/ODP/3.0/services/
rm -f ONEFS
ln -s /var/lib/ambari-server/resources/mpacks/onefs-ambari-mpack-1.0.3.0/common-services/ONEFS/1.0.0/ ONEFS
cd ../../3.1/services/
rm -f ONEFS
ln -s /var/lib/ambari-server/resources/mpacks/onefs-ambari-mpack-1.0.3.0/common-services/ONEFS/1.0.0/ ONEFS
cd ../../3.2/services/
rm -f ONEFS
ln -s /var/lib/ambari-server/resources/mpacks/onefs-ambari-mpack-1.0.3.0/common-services/ONEFS/1.0.0/ ONEFS
ambari-server restart
```
After running above commands you will see this message
```
INFO: Management pack onefs-ambari-mpack successfully installed! Please restart ambari-server.
INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
Ambari Server 'install-mpack' completed successfully.
```

```
ambari-server uninstall-mpack --mpack-name=onefs-ambari-mpack

rm -rf /var/lib/ambari-server/data/tmp/isilon-onefs-mpack*/ /var/lib/ambari-server/resources/stacks/ODP/3.0/services/ONEFS /var/lib/ambari-server/resources/stacks/ODP/3.1/services/ONEFS /var/lib/ambari-server/resources/common-services/ONEFS /var/lib/ambari-agent/cache/stacks/ODP/3.0/services/ONEFS /var/lib/ambari-agent/cache/stacks/ODP/3.1/services/ONEFS /var/lib/ambari-agent/cache/common-services/ONEFS /var/lib/ambari-agent/cache/stacks/ODP/3.2/services/ONEFS
```

IMPORTANT NOTES

A performance issue with OneFS and Ambari has been identified when Apache HBase
has been configured. When the 'hbase.wal.provider' value is set to
'filesystem', the performance issue will resolve.

When installing the 1.0.3.0 Ambari Management Pack on a Hadoop cluster with a
new deployment of ODP, the Ambari Management Pack will automatically set
the 'hbase.wal.provider' value to 'filesystem'.

If the Hadoop cluster has Ambari and HBase already configured, the
'hbase.wal.provider' will need to be manually configured in the Ambari UI.

To manually configure the 'hbase.wal.provider' value:
- Log in to Ambari UI.
- Click the 'HBase' service in the left panel > click the 'Configs' tab > click
  the 'Advanced' tab.
- Choose the 'Custom hbase-site' section.
- Look for the 'hbase.wal.provider' key. If it does not exist, add it by
  clicking: 'Add Property...'
- In the 'Properties' field, enter: hbase.wal.provider=filesystem
- Click ADD > click Save to save the configuration.
- If prompted, restart Ambari to apply the setting.

*******************************************************************************

RESOLVED ISSUES

When the 'hbase.wal.provider' value is set to 'filesystem' in the Ambari UI,
the performance issue will resolve.

The OneFS Release Notes are available on the customer support site:
https://www.dell.com/support/home/en-us/product-support/product/isilon-onefs/
docs#q=release%20notes&sort=relevancy&f:lang=[en]

The following documents are available on the customer support site include
instructions for downloading and installing the Ambari Management Pack for
Isilon OneFS:

- PowerScale OneFS With Hadoop and Installation Guide:
  https://support.emc.com/docu90562

- PowerScale OneFS With Hadoop and Hadoop for Kerberos Installation
  Guide: https://support.emc.com/docu90563

*******************************************************************************

UPGRADING INSTRUCTIONS

Run the following commands to upgrade to the Isilon Ambari Management
Pack 1.0.3.0:

ambari-server upgrade-mpack --mpack=<path-to-new-mpath>

ambari-server restart

*******************************************************************************